﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\TCVAT_table.sql **/
/**IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FORMULA') 
 CREATE TABLE T_TCVAT_FORMULA (
FID BIGINT DEFAULT 0 NOT NULL,
FFORMULAKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FFORMULA VARCHAR(4000) DEFAULT ' ' NOT NULL,
FFORMULANAME VARCHAR(4000) DEFAULT ' ' NOT NULL,
FDESCRIBE VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEMPLATEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTABLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FROW VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOLUMN VARCHAR(100) DEFAULT ' ' NOT NULL
);**/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TEMPLATE') 
 CREATE TABLE T_TCVAT_TEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCONTENT VARCHAR(510) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB,
FHTML VARCHAR(510) DEFAULT ' ' NOT NULL,
FHTML_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DECLARE_HIS') 
 CREATE TABLE T_TCVAT_DECLARE_HIS (
FID BIGINT DEFAULT 0 NOT NULL,
FCELLID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGETVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
FMODIFYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORIGINALVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBNSR_FB1') 
 CREATE TABLE T_TCVAT_YBNSR_FB1 (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FKJSKZZSZYFPXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKJSKZZSZYFPXXYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKJQTFPXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKJQTFPXXYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWKJFPXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWKJFPXXYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNSJCTZDXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNSJCTZXXYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJXXYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJSHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWKCXMBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHHSMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHXXYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBNSR_FB2') 
 CREATE TABLE T_TCVAT_YBNSR_FB2 (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FLC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBNSR_FB4') 
 CREATE TABLE T_TCVAT_YBNSR_FB4 (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBNSR_JJDJ') 
 CREATE TABLE T_TCVAT_YBNSR_JJDJ (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQTJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQKDJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJDJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBNSR_JSXM') 
 CREATE TABLE T_TCVAT_YBNSR_JSXM (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSWSXDM VARCHAR(100) DEFAULT ' ' NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBNSR_MSXM') 
 CREATE TABLE T_TCVAT_YBNSR_MSXM (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSWSXDM VARCHAR(100) DEFAULT ' ' NOT NULL,
FMZZZSXMXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSEDYJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBNSR_FB3') 
 CREATE TABLE T_TCVAT_YBNSR_FB3 (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBNSR_ZB') 
 CREATE TABLE T_TCVAT_YBNSR_ZB (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FASYSLJSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSHWXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSLWXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSYSLNSJCTZXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAJYBFJSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYBFNSJCTZXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMDTBFCKXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSHWXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSLWXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSQLDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJXSEZC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMDTYTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSYSLNSJCYBJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYDKSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSJDKSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMLDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYBFYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYBFNSJCYBJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSEJZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQCWJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSSCKKJZYJKSTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFCYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCKKJZYJKSYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQJNSQYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQJNQJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMWJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMWJSEQJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTSJTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQCWJCBSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQRKCBSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMWJCBSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\TCVAT_table.sql **/
