﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_XGM_FLZL_CF') 
 CREATE TABLE T_TCVAT_XGM_FLZL_CF (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FJE3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_DEDUCT_ENTRY' AND KSQL_COL_NAME ='FENTRYENTITYCONFJSON') 
 ALTER TABLE T_TCVAT_RULE_DEDUCT_ENTRY ADD (FENTRYENTITYCONFJSON VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_DEDUCT_ENTRY' AND KSQL_COL_NAME ='FENTRYENTITYCONF') 
 ALTER TABLE T_TCVAT_RULE_DEDUCT_ENTRY ADD (FENTRYENTITYCONF VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DEDUCT_TAX_ENTRY' AND KSQL_COL_NAME ='FENTRYENTITYCONF') 
 ALTER TABLE T_TCVAT_DEDUCT_TAX_ENTRY ADD (FENTRYENTITYCONF VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DEDUCT_TAX_ENTRY' AND KSQL_COL_NAME ='FENTRYENTITYCONFJSON') 
 ALTER TABLE T_TCVAT_DEDUCT_TAX_ENTRY ADD (FENTRYENTITYCONFJSON VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCT_NUM_ENTRY') 
 CREATE TABLE T_TCVAT_DEDUCT_NUM_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(800) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONDITIONJSON VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ADDDEDUCT' AND KSQL_COL_NAME ='FDEADLINE') 
 ALTER TABLE T_TCVAT_ADDDEDUCT ADD (FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DEDUCTION_SUMMARY' AND KSQL_COL_NAME ='FDEADLINE') 
 ALTER TABLE T_TCVAT_DEDUCTION_SUMMARY ADD (FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ROLL_OUT_SUMMARY' AND KSQL_COL_NAME ='FDEADLINE') 
 ALTER TABLE T_TCVAT_ROLL_OUT_SUMMARY ADD (FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FDEADLINE') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCT_DETAIL_BIL') 
 CREATE TABLE T_TCVAT_DEDUCT_DETAIL_BIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_YBHZ_DEDUCT_DET') 
 CREATE TABLE T_TCVAT_YBHZ_DEDUCT_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_WAITDEDUC_SUMMARY' AND KSQL_COL_NAME ='FDEADLINE') 
 ALTER TABLE T_TCVAT_WAITDEDUC_SUMMARY ADD (FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
