﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_POLICYCONFIRM' AND KSQL_COL_NAME ='FDRAFTPURPOSE') 
 ALTER TABLE T_TCVAT_POLICYCONFIRM ADD (FDRAFTPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_POLICY_CONFIRM' AND KSQL_COL_NAME ='FDRAFTPURPOSE') 
 ALTER TABLE T_TCVAT_HZ_POLICY_CONFIRM ADD (FDRAFTPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_YBHZ_POLICY_CONF' AND KSQL_COL_NAME ='FDRAFTPURPOSE') 
 ALTER TABLE T_TCVAT_YBHZ_POLICY_CONF ADD (FDRAFTPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_CUSTOMS_DETAIL_JT') 
 CREATE TABLE T_TCVAT_CUSTOMS_DETAIL_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAX_PERIOD DATETIME,
FCUSTOM_DECLARATION_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPT_NAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FTOTAL_TAX_AMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVE_TAX_AMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECOND_DEPT_NAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FINVOICE_DATE DATETIME,
FUNIT_PRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCT_JZJT_SJJT') 
 CREATE TABLE T_TCVAT_DEDUCT_JZJT_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(32) DEFAULT ' ' NOT NULL,
FINPUTAUTHID BIGINT DEFAULT 0 NOT NULL,
FCONSUMERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTSIGNTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEHE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHFBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJSJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEINVOICETYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCTION_SUM_JT') 
 CREATE TABLE T_TCVAT_DEDUCTION_SUM_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FINPUTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DETAIL_DIFF_SJJT') 
 CREATE TABLE T_TCVAT_DETAIL_DIFF_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DETAIL_INCOM_SJJT') 
 CREATE TABLE T_TCVAT_DETAIL_INCOM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DETAIL_ROLLOUT_JT') 
 CREATE TABLE T_TCVAT_DETAIL_ROLLOUT_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEHE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHFBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DIFFDEDUCT_SJJT') 
 CREATE TABLE T_TCVAT_DIFFDEDUCT_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEDUCTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_ADD_TEM_JT') 
 CREATE TABLE T_TCVAT_INCOME_ADD_TEM_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTDECREASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_SUM_SJJT') 
 CREATE TABLE T_TCVAT_INCOME_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXMETHODTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPECIALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPECIALINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNONETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ROLL_OUT_SUM_SJJT') 
 CREATE TABLE T_TCVAT_ROLL_OUT_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FROLLOUTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDECLATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAX_REDU_SUM_SJJT') 
 CREATE TABLE T_TCVAT_TAX_REDU_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAX_REFUND_MAG_A') 
 CREATE TABLE T_TCVAT_TAX_REFUND_MAG_A (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSNDZZSYSXSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSNMZCZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSSHYDL VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAXDEDUC_SUM_SJJT') 
 CREATE TABLE T_TCVAT_TAXDEDUC_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FMZZZSXMXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSEDYJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAXREDUC_DET_SJJT') 
 CREATE TABLE T_TCVAT_TAXREDUC_DET_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_WAITDEDUCT_DET_JT') 
 CREATE TABLE T_TCVAT_WAITDEDUCT_DET_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_WAITDEDUCT_SUM_JI') 
 CREATE TABLE T_TCVAT_WAITDEDUCT_SUM_JI (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCT_DETAIL_JT') 
 CREATE TABLE T_TCVAT_DEDUCT_DETAIL_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(32) DEFAULT ' ' NOT NULL,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FGOODSNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FEXPORTFLAG CHAR(1) DEFAULT '0' NOT NULL,
FJZJTFLAG CHAR(1) DEFAULT '0' NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEINVOICETYPE BIGINT DEFAULT 0 NOT NULL,
FVEHICLETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVEHICLEIDENTICODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCTDETAIL_SJJT') 
 CREATE TABLE T_TCVAT_DEDUCTDETAIL_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_INVOICE_JT') 
 CREATE TABLE T_TCVAT_INCOME_INVOICE_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAXREDUC_SUM_SJJT') 
 CREATE TABLE T_TCVAT_TAXREDUC_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
