﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_YBNSR_REPEAT_INV' AND KSQL_COL_NAME ='FDRAFTPURPOSE') 
 ALTER TABLE T_TCVAT_YBNSR_REPEAT_INV ADD (FDRAFTPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_YBNSR_RULE_INVOIC' AND KSQL_COL_NAME ='FDRAFTPURPOSE') 
 ALTER TABLE T_TCVAT_YBNSR_RULE_INVOIC ADD (FDRAFTPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_CHECKDATA_INVOICE' AND KSQL_COL_NAME ='FDRAFTPURPOSE')
 ALTER TABLE T_TCVAT_CHECKDATA_INVOICE ADD (FDRAFTPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_CHECKDATA_RULE' AND KSQL_COL_NAME ='FDRAFTPURPOSE')
 ALTER TABLE T_TCVAT_CHECKDATA_RULE ADD (FDRAFTPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUM_JT') 
 CREATE TABLE T_TCVAT_HZ_ACCOUNT_SUM_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORGNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXMETHODTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPECIALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPECIALINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNONETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEVELNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DEDUCT_SUM_JT') 
 CREATE TABLE T_TCVAT_HZ_DEDUCT_SUM_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FINPUTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DIFF_TEMP_SJJT') 
 CREATE TABLE T_TCVAT_HZ_DIFF_TEMP_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FPROJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FLEVELNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_INCOME_ADD_JT') 
 CREATE TABLE T_TCVAT_HZ_INCOME_ADD_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERVICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTDECREASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_JSXM_SUM_SJJT') 
 CREATE TABLE T_TCVAT_HZ_JSXM_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVELNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_JXDDK_SUM_SJJT') 
 CREATE TABLE T_TCVAT_HZ_JXDDK_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ROLLOUT_SUM_JT') 
 CREATE TABLE T_TCVAT_HZ_ROLLOUT_SUM_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FROLLOUTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDECLATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVELNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_TAXDEDU_SUM_JT') 
 CREATE TABLE T_TCVAT_HZ_TAXDEDU_SUM_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FMZZZSXMXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSEDYJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_TAXRE_SUM_SJJT') 
 CREATE TABLE T_TCVAT_HZ_TAXRE_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INC_QTBHS' AND KSQL_COL_NAME ='FEXRATEJSON') 
 ALTER TABLE T_TCVAT_RULE_INC_QTBHS ADD (FEXRATEJSON VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INC_QTSE' AND KSQL_COL_NAME ='FEXRATEJSON') 
 ALTER TABLE T_TCVAT_RULE_INC_QTSE ADD (FEXRATEJSON VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INC_WKPSE' AND KSQL_COL_NAME ='FEXRATEJSON') 
 ALTER TABLE T_TCVAT_RULE_INC_WKPSE ADD (FEXRATEJSON VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_ENTRY' AND KSQL_COL_NAME ='FEXRATEJSON') 
 ALTER TABLE T_TCVAT_RULE_ENTRY ADD (FEXRATEJSON VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_INCOME' AND KSQL_COL_NAME ='FEXRATE') 
 ALTER TABLE T_TCVAT_ACCDETAIL_INCOME ADD (FEXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCDETAIL_COME' AND KSQL_COL_NAME ='FEXRATE') 
 ALTER TABLE T_TCVAT_HZ_ACCDETAIL_COME ADD (FEXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
