﻿/**Begin D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCP_PRODUCT_RULE')
 CREATE TABLE T_TCVAT_NCP_PRODUCT_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCPMC BIGINT DEFAULT 0 NOT NULL,
FDHZSFS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSLSJZB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRULEPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISSYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCP_PRODUCT_RULE_L')
 CREATE TABLE T_TCVAT_NCP_PRODUCT_RULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCP_RULE')
 CREATE TABLE T_TCVAT_NCP_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHYNCP BIGINT DEFAULT 0 NOT NULL,
FYLFL VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISSYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCP_RULE_ENT')
 CREATE TABLE T_TCVAT_NCP_RULE_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFCONDITIONJSON NCLOB,
FFILTERCONDITION NCLOB,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCP_RULE_ENT1')
 CREATE TABLE T_TCVAT_NCP_RULE_ENT1 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCP_RULE_ENT2')
 CREATE TABLE T_TCVAT_NCP_RULE_ENT2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCP_RULE_ENT3')
 CREATE TABLE T_TCVAT_NCP_RULE_ENT3 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCP_RULE_L')
 CREATE TABLE T_TCVAT_NCP_RULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCPPRODUCT_ENT')
 CREATE TABLE T_TCVAT_NCPPRODUCT_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFCONDITIONJSON NCLOB,
FFILTERCONDITION NCLOB,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCPPRODUCT_ENT1')
 CREATE TABLE T_TCVAT_NCPPRODUCT_ENT1 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NCPPRODUCT_ENT2')
 CREATE TABLE T_TCVAT_NCPPRODUCT_ENT2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);



/**End D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCVAT_table.sql **/
