﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TCVAT_INPUT_PLAN', 'T_TCVAT_INPUT_PLAN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCVAT_INPUT_PLAN_ORG') CREATE  CLUSTERED INDEX IDX_T_TCVAT_INPUT_PLAN_ORG ON T_TCVAT_INPUT_PLAN ( FORG ,FSKSSQ );


 EXEC P_ALTERPK 'PK_TCVAT_NEW_RULE', 'T_TCVAT_NEW_RULE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCVAT_NEW_RULE') CREATE  CLUSTERED INDEX IDX_T_TCVAT_NEW_RULE ON T_TCVAT_NEW_RULE ( FORGID );


 /** EXEC P_ALTERPK 'PK_TCVAT_ORGS_RULES', 'T_TCVAT_ORGS_RULES', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCVAT_ORGS_RULES') CREATE  CLUSTERED INDEX IDX_T_TCVAT_ORGS_RULES ON T_TCVAT_ORGS_RULES ( FSHARINGORGID );**/


 /**EXEC P_ALTERPK 'PK_TCVAT_PLAN_INCOMERULE', 'T_TCVAT_PLAN_INCOMERULE', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_PLAN_INCOMERULE_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_PLAN_INCOMERULE_FK ON T_TCVAT_PLAN_INCOMERULE ( FENTRYID );**/


 /**EXEC P_ALTERPK 'PK_TCVAT_PLAN_MAIN', 'T_TCVAT_PLAN_MAIN', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_PLAN_MAIN_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_PLAN_MAIN_FK ON T_TCVAT_PLAN_MAIN ( FID );**/


 /**EXEC P_ALTERPK 'PK_TCVAT_PLAN_ORGS', 'T_TCVAT_PLAN_ORGS', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_PLAN_ORGS_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_PLAN_ORGS_FK ON T_TCVAT_PLAN_ORGS ( FENTRYID );**/


 /**EXEC P_ALTERPK 'PK_TCVAT_PLAN_ROLLOUTRULE', 'T_TCVAT_PLAN_ROLLOUTRULE', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_PLAN_ROLLOUTRULE_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_PLAN_ROLLOUTRULE_FK ON T_TCVAT_PLAN_ROLLOUTRULE ( FENTRYID );**/


 EXEC P_ALTERPK 'PK_TCVAT_RULE_TAXRATE', 'T_TCVAT_RULE_TAXRATE', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_RULE_TAXRATE_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_RULE_TAXRATE_FK ON T_TCVAT_RULE_TAXRATE ( FID );


 /**EXEC P_ALTERPK 'PK_TCVAT_SHARING_PLAN', 'T_TCVAT_SHARING_PLAN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCVAT_SHARING_PLAN') CREATE  CLUSTERED INDEX IDX_T_TCVAT_SHARING_PLAN ON T_TCVAT_SHARING_PLAN ( FORGID );**/


 /**EXEC P_ALTERPK 'PK_TCVAT_SHARINGPLAN_ORGS', 'T_TCVAT_SHARINGPLAN_ORGS', 'FENTRYID', '0';**/
 /**IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_SHARINGPLAN_ORGS_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_SHARINGPLAN_ORGS_FK ON T_TCVAT_SHARINGPLAN_ORGS ( FID );**/

 /**EXEC P_ALTERPK 'PK_TCVAT_SHARINGPLAN_RULES', 'T_TCVAT_SHARINGPLAN_RULES', 'FENTRYID', '0'; **/

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_SHARINGPLAN_RULES_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_SHARINGPLAN_RULES_FK ON T_TCVAT_SHARINGPLAN_RULES ( FID );


 EXEC P_ALTERPK 'PK_TCVAT_CALIBER_ACC', 'T_TCVAT_CALIBER_ACC', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCVAT_CALIBER_ACC') CREATE  CLUSTERED INDEX IDX_T_TCVAT_CALIBER_ACC ON T_TCVAT_CALIBER_ACC ( FID );


 EXEC P_ALTERPK 'PK_TCVAT_CALIBER_INVOICE', 'T_TCVAT_CALIBER_INVOICE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCVAT_CALIBER_INVOICE') CREATE  CLUSTERED INDEX IDX_T_TCVAT_CALIBER_INVOICE ON T_TCVAT_CALIBER_INVOICE ( FID );


 /**EXEC P_ALTERPK 'PK_TCVAT_SHARING_PLAN_EDIT', 'T_TCVAT_SHARING_PLAN_EDIT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCVAT_SHARING_PLAN_EDIT') CREATE  CLUSTERED INDEX IDX_T_TCVAT_SHARING_PLAN_EDIT ON T_TCVAT_SHARING_PLAN_EDIT ( FORGID );**/



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
