﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TCVAT_INCOME_ENTRY', 'T_TCVAT_INCOME_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_INCOME_ENTRY') CREATE  CLUSTERED INDEX IDX_TCVAT_INCOME_ENTRY ON T_TCVAT_INCOME_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_TCVAT_RULE_DIFF', 'T_TCVAT_RULE_DIFF', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_RULE_DIFF') CREATE  CLUSTERED INDEX IDX_TCVAT_RULE_DIFF ON T_TCVAT_RULE_DIFF ( FNUMBER );


 EXEC P_ALTERPK 'PK_TCVAT_RULE_DIFF_L', 'T_TCVAT_RULE_DIFF_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_RULE_DIFF_L_0') CREATE  CLUSTERED INDEX IDX_TCVAT_RULE_DIFF_L_0 ON T_TCVAT_RULE_DIFF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TCVAT_RULE_ENTRY', 'T_TCVAT_RULE_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_RULE_ENTRY') CREATE  CLUSTERED INDEX IDX_TCVAT_RULE_ENTRY ON T_TCVAT_RULE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_TCVAT_RULE_INCOME', 'T_TCVAT_RULE_INCOME', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_RULE_INCOME') CREATE  CLUSTERED INDEX IDX_TCVAT_RULE_INCOME ON T_TCVAT_RULE_INCOME ( FNUMBER );


 EXEC P_ALTERPK 'PK_TCVAT_RULE_INCOME_L', 'T_TCVAT_RULE_INCOME_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_RULE_INCOME_L_0') CREATE  CLUSTERED INDEX IDX_TCVAT_RULE_INCOME_L_0 ON T_TCVAT_RULE_INCOME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TCVAT_RULE_ROLLOUT', 'T_TCVAT_RULE_ROLLOUT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_RULE_ROLLOUT') CREATE  CLUSTERED INDEX IDX_TCVAT_RULE_ROLLOUT ON T_TCVAT_RULE_ROLLOUT ( FNUMBER );


 EXEC P_ALTERPK 'PK_TCVAT_RULE_ROLLOUT_L', 'T_TCVAT_RULE_ROLLOUT_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_RULE_ROLLOUT_L_0') CREATE  CLUSTERED INDEX IDX_TCVAT_RULE_ROLLOUT_L_0 ON T_TCVAT_RULE_ROLLOUT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TCVAT_ACCDETAIL_DIFF', 'T_TCVAT_ACCDETAIL_DIFF', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_ACCDETAIL_DIFF') CREATE  CLUSTERED INDEX IDX_TCVAT_ACCDETAIL_DIFF ON T_TCVAT_ACCDETAIL_DIFF ( FORGID ,FSKSSQQ ,FSKSSQZ  );
 
 EXEC P_ALTERPK 'PK_TCVAT_ACCDETAIL_INCOME', 'T_TCVAT_ACCDETAIL_INCOME', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_ACCDETAIL_INCOME') CREATE  CLUSTERED INDEX IDX_TCVAT_ACCDETAIL_INCOME ON T_TCVAT_ACCDETAIL_INCOME ( FORGID ,FSKSSQQ ,FSKSSQZ );
 
 EXEC P_ALTERPK 'PK_TCVAT_ACCOUNTING_DETAIL', 'T_TCVAT_ACCOUNTING_DETAIL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TCVAT_ACCOUNTING_DETAIL') CREATE  CLUSTERED INDEX IDX_T_TCVAT_ACCOUNTING_DETAIL ON T_TCVAT_ACCOUNTING_DETAIL ( FORGID ,FTAXPERIOD );
 
 EXEC P_ALTERPK 'PK_TCVAT_ACCDETAIL_ROLLOUT', 'T_TCVAT_ACCDETAIL_ROLLOUT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_ACCDETAIL_ROLLOUT') CREATE  CLUSTERED INDEX IDX_TCVAT_ACCDETAIL_ROLLOUT ON T_TCVAT_ACCDETAIL_ROLLOUT (FORGID ,FSKSSQQ ,FSKSSQZ);
 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
