﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCT_INPUT_AUTH') 
 CREATE TABLE T_TCVAT_DEDUCT_INPUT_AUTH (
FID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(32) DEFAULT ' ' NOT NULL,
FINPUTAUTHID BIGINT DEFAULT 0 NOT NULL,
FCONSUMERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENTSIGNTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEHE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHFBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJSJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DEDUCTION_SUMMARY' AND KSQL_COL_NAME ='FINPUTTAXAMOUNT') 
 ALTER TABLE T_TCVAT_DEDUCTION_SUMMARY ADD (FINPUTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DEDUCTION_DETAIL' AND KSQL_COL_NAME ='FINVOICECODE') 
 ALTER TABLE T_TCVAT_DEDUCTION_DETAIL ADD (FINVOICECODE VARCHAR(32) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DEDUCTION_DETAIL' AND KSQL_COL_NAME ='FEFFECTIVETAXAMOUNT') 
 ALTER TABLE T_TCVAT_DEDUCTION_DETAIL ADD (FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DEDUCTION_DETAIL' AND KSQL_COL_NAME ='FTYPE') 
 ALTER TABLE T_TCVAT_DEDUCTION_DETAIL ADD (FTYPE VARCHAR(32) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INVOICE_SIGN') 
 CREATE TABLE T_TCVAT_INVOICE_SIGN (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAVALIABLETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNEDTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTSIGNTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONSUMERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(250) DEFAULT ' ' NOT NULL,
FINVOICEPKID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSIGNRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSIGNCOID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSIGNSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_CHECKDATA_INVOICE') 
 CREATE TABLE T_TCVAT_CHECKDATA_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_CHECKDATA_RULE') 
 CREATE TABLE T_TCVAT_CHECKDATA_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FRULETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FFIELD VARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
