﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ROLLOUT_REGISTER') 
 CREATE TABLE T_TCVAT_ROLLOUT_REGISTER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FAVALIABLETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREGISTEREDTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTREGISTERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREGISTERRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FROLLOUTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONSUMERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(250) DEFAULT ' ' NOT NULL,
FINVOICEPKID VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FREGISTERCOID VARCHAR(100) DEFAULT ' ' NOT NULL,
FREGISTERSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FREGISTERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROLLOUTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICEREGISTERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCOMESUMMARY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPORTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPORTIONTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPORTIONSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPORTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPORTIONCREATETIME DATETIME,
FAPPORTIONMODIFYTIME DATETIME,
FROLLOUTPERIOD DATETIME,
FROLLOUTTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FROLLOUTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPORTIONREMARK VARCHAR(250) DEFAULT ' ' NOT NULL,
FSUMMARYFLAG VARCHAR(30) DEFAULT ' ' NOT NULL,
FREGISTERCOSHAREID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ROLL_OUT_SUMMARY' AND KSQL_COL_NAME ='FJZJT') 
 ALTER TABLE T_TCVAT_ROLL_OUT_SUMMARY ADD (FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ROLL_OUT_SUMMARY' AND KSQL_COL_NAME ='FJZJTROLLOUTAMOUNT') 
 ALTER TABLE T_TCVAT_ROLL_OUT_SUMMARY ADD (FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_ROLLOUT' AND KSQL_COL_NAME ='FXSEHE') 
 ALTER TABLE T_TCVAT_ACCDETAIL_ROLLOUT ADD (FXSEHE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_ROLLOUT' AND KSQL_COL_NAME ='FJZJTXSE') 
 ALTER TABLE T_TCVAT_ACCDETAIL_ROLLOUT ADD (FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_ROLLOUT' AND KSQL_COL_NAME ='FHFBL') 
 ALTER TABLE T_TCVAT_ACCDETAIL_ROLLOUT ADD (FHFBL DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_ROLLOUT' AND KSQL_COL_NAME ='FJZJTROLLOUTAMOUNT') 
 ALTER TABLE T_TCVAT_ACCDETAIL_ROLLOUT ADD (FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INVOICE_SIGN' AND KSQL_COL_NAME ='FROLLOUTTYPE') 
 ALTER TABLE T_TCVAT_INVOICE_SIGN ADD (FROLLOUTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
 --- drop TABLE --------- 不允许删除表T_TCVAT_ROLLOUT_REGISTER2，请恢复pdm ------------------- 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
