﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INCOME' AND KSQL_COL_NAME ='FDEDUCTIONTYPE') 
 ALTER TABLE T_TCVAT_RULE_INCOME ADD (FDEDUCTIONTYPE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_DEDUCTION') 
 CREATE TABLE T_TCVAT_RULE_DEDUCTION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDEDUCTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FREDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_DEDUCTION_L') 
 CREATE TABLE T_TCVAT_RULE_DEDUCTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAXREDUCE_DETAIL') 
 CREATE TABLE T_TCVAT_TAXREDUCE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAXDEDUCE_SUM') 
 CREATE TABLE T_TCVAT_TAXDEDUCE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FMZZZSXMXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSEDYJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAXREDUCE_SUM') 
 CREATE TABLE T_TCVAT_TAXREDUCE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_TAXREDUCE_SUMMARY') 
 CREATE TABLE T_TCVAT_TAXREDUCE_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FTAXREDUCTIONCODE') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FTAXREDUCTIONNAME') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FTAXREDUCTIONTYPE') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FTAXREDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FTAXREDUCTIONID') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
