﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_SHARINGPLAN' AND KSQL_COL_NAME ='FTAXPAYERTYPE') 
 ALTER TABLE T_TCVAT_SHARINGPLAN ADD (FTAXPAYERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PREPAY') 
 CREATE TABLE T_TCVAT_PREPAY (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FSTARTTIME DATETIME,
FRATEPAYERNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSFSYYBJSFF CHAR(1) DEFAULT ' ' NOT NULL,
FRATEPAYERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTADDRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
FADVANCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCROSSCLAIM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADVANCESCALE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_CONTRACT_INFO') 
 CREATE TABLE T_TCVAT_CONTRACT_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARTNERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARTNERTAXNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNDATE DATETIME,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSTART DATETIME,
FPLANEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PREPAY_PROJECT') 
 CREATE TABLE T_TCVAT_PREPAY_PROJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FPROJECTSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPREPAYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLEVYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXOFFICE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLICENSECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESS VARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTZONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTART DATETIME,
FEND DATETIME,
FSPLIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FCROSS VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FCSWHJSS CHAR(1) DEFAULT ' ' NOT NULL,
FTCCIT CHAR(1) DEFAULT ' ' NOT NULL,
FTCVAT CHAR(1) DEFAULT ' ' NOT NULL,
FZONE VARCHAR(30) DEFAULT ' ' NOT NULL,
FFJSF CHAR(1) DEFAULT ' ' NOT NULL,
FPERSONALTAX CHAR(1) DEFAULT ' ' NOT NULL,
FPERSONALRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEDUFJSF CHAR(1) DEFAULT ' ' NOT NULL,
FYHS CHAR(1) DEFAULT ' ' NOT NULL,
FYHSRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALEDUFJSFS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PREPAY_PROJECT_L') 
 CREATE TABLE T_TCVAT_PREPAY_PROJECT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_SPLIT_CONTRACT') 
 CREATE TABLE T_TCVAT_SPLIT_CONTRACT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCONTRACTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCONTRACTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPARTNERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPARTNERTAXNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSSIGNDATE DATETIME,
FSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPLANSTART DATETIME,
FSPLANEND DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
