﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
 EXEC P_ALTERPK 'PK_TCVAT_FZJG_INPUT_STATE', 'T_TCVAT_FZJG_INPUT_STATE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZJG_INPUT_STATE') CREATE  CLUSTERED INDEX IDX_TCVAT_FZJG_INPUT_STATE ON T_TCVAT_FZJG_INPUT_STATE ( FSBBID );


 EXEC P_ALTERPK 'PK_TCVAT_FZJG_TAXPAY_STATE', 'T_TCVAT_FZJG_TAXPAY_STATE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZJG_TAXPAY_STATE') CREATE  CLUSTERED INDEX IDX_TCVAT_FZJG_TAXPAY_STATE ON T_TCVAT_FZJG_TAXPAY_STATE ( FSBBID );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_ACCDETAIL_DIFF', 'T_TCVAT_FZ_ACCDETAIL_DIFF', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_ACCDETAIL_DIFF') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_ACCDETAIL_DIFF ON T_TCVAT_FZ_ACCDETAIL_DIFF ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_ACCDETAIL_IN', 'T_TCVAT_FZ_ACCDETAIL_IN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_ACCDETAIL_IN') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_ACCDETAIL_IN ON T_TCVAT_FZ_ACCDETAIL_IN ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_ACCDETAIL_PRE', 'T_TCVAT_FZ_ACCDETAIL_PRE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_ACCDETAIL_PRE') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_ACCDETAIL_PRE ON T_TCVAT_FZ_ACCDETAIL_PRE ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_DETAIL_ROLLOUT', 'T_TCVAT_FZ_DETAIL_ROLLOUT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_DETAIL_ROLLOUT') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_DETAIL_ROLLOUT ON T_TCVAT_FZ_DETAIL_ROLLOUT ( FORGID ,FENDDATE ,FSTARTDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_JXSEDKTJMX', 'T_TCVAT_FZ_JXSEDKTJMX', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_JXSEDKTJMX') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_JXSEDKTJMX ON T_TCVAT_FZ_JXSEDKTJMX ( FPID );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_POLICY_CONFIRM', 'T_TCVAT_FZ_POLICY_CONFIRM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_POLICY_CONFIRM') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_POLICY_CONFIRM ON T_TCVAT_FZ_POLICY_CONFIRM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_POLICY_ENTRY', 'T_TCVAT_FZ_POLICY_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_POLICY_ENTRY_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_POLICY_ENTRY_FK ON T_TCVAT_FZ_POLICY_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_TAXREDUCE', 'T_TCVAT_FZ_TAXREDUCE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_TAXREDUCE') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_TAXREDUCE ON T_TCVAT_FZ_TAXREDUCE ( FORGID ,FENDDATE ,FSTARTDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_ADDDEDUCT', 'T_TCVAT_FZ_ADDDEDUCT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_ADDDEDUCT') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_ADDDEDUCT ON T_TCVAT_FZ_ADDDEDUCT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_DEDUCTION', 'T_TCVAT_FZ_DEDUCTION', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_DEDUCTION') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_DEDUCTION ON T_TCVAT_FZ_DEDUCTION ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_DIFFDEDUCT', 'T_TCVAT_FZ_DIFFDEDUCT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_DIFFDEDUCT') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_DIFFDEDUCT ON T_TCVAT_FZ_DIFFDEDUCT ( FSTARTDATE ,FENDDATE ,FORGID );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_INCOME_INVOICE', 'T_TCVAT_FZ_INCOME_INVOICE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_INCOME_INVOICE') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_INCOME_INVOICE ON T_TCVAT_FZ_INCOME_INVOICE ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_INCOME_SUMMARY', 'T_TCVAT_FZ_INCOME_SUMMARY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_INCOME_SUMMARY') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_INCOME_SUMMARY ON T_TCVAT_FZ_INCOME_SUMMARY ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_JZJTJXSEMX', 'T_TCVAT_FZ_JZJTJXSEMX', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_JZJTJXSEMX') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_JZJTJXSEMX ON T_TCVAT_FZ_JZJTJXSEMX ( FORGID ,FENDDATE ,FSTARTDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_PRE_DEDUCE_SUM', 'T_TCVAT_FZ_PRE_DEDUCE_SUM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_PRE_DEDUCE_SUM') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_PRE_DEDUCE_SUM ON T_TCVAT_FZ_PRE_DEDUCE_SUM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_PRE_IN_INVOICE', 'T_TCVAT_FZ_PRE_IN_INVOICE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_PRE_IN_INVOICE') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_PRE_IN_INVOICE ON T_TCVAT_FZ_PRE_IN_INVOICE ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_PREPAY_SUMMARY', 'T_TCVAT_FZ_PREPAY_SUMMARY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_PREPAY_SUMMARY') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_PREPAY_SUMMARY ON T_TCVAT_FZ_PREPAY_SUMMARY ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_ROLLOUTSUMMARY', 'T_TCVAT_FZ_ROLLOUTSUMMARY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_ROLLOUTSUMMARY') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_ROLLOUTSUMMARY ON T_TCVAT_FZ_ROLLOUTSUMMARY ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_TAXDEDUCE_SUM', 'T_TCVAT_FZ_TAXDEDUCE_SUM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_TAXDEDUCE_SUM') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_TAXDEDUCE_SUM ON T_TCVAT_FZ_TAXDEDUCE_SUM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_TAXREDUCE_SUM', 'T_TCVAT_FZ_TAXREDUCE_SUM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_TAXREDUCE_SUM') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_TAXREDUCE_SUM ON T_TCVAT_FZ_TAXREDUCE_SUM ( FORGID ,FENDDATE ,FSTARTDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_DEDUCTION_DETA', 'T_TCVAT_FZ_DEDUCTION_DETA', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_DEDUCTION_DETA') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_DEDUCTION_DETA ON T_TCVAT_FZ_DEDUCTION_DETA ( FORGID ,FENDDATE ,FSTARTDATE );


 EXEC P_ALTERPK 'PK_TCVAT_FZ_TAXREDUCE_BOOK', 'T_TCVAT_FZ_TAXREDUCE_BOOK', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_FZ_TAXREDUCE_BOOK') CREATE  CLUSTERED INDEX IDX_TCVAT_FZ_TAXREDUCE_BOOK ON T_TCVAT_FZ_TAXREDUCE_BOOK ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_DEVIDE_DETAIL', 'T_TCVAT_DEVIDE_DETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_DEVIDE_DETAIL') CREATE INDEX IDX_TCVAT_DEVIDE_DETAIL ON T_TCVAT_DEVIDE_DETAIL ( FORGID ,FINVOICECODE ,FINVOICENO ,FINVOICETYPE );


 EXEC P_ALTERPK 'PK_TCVAT_DEVIDE_ENTITY', 'T_TCVAT_DEVIDE_ENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_DEVIDE_ENTITY_FK') CREATE INDEX IDX_TCVAT_DEVIDE_ENTITY_FK ON T_TCVAT_DEVIDE_ENTITY ( FID );


 EXEC P_ALTERPK 'PK_TCVAT_INVOICE_PROJECT', 'T_TCVAT_INVOICE_PROJECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_INVOICE_PROJECT') CREATE INDEX IDX_TCVAT_INVOICE_PROJECT ON T_TCVAT_INVOICE_PROJECT ( FINVOICEID );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_ACCDETAIL_DIFF', 'T_TCVAT_HZ_ACCDETAIL_DIFF', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_ACCDETAIL_DIFF') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_ACCDETAIL_DIFF ON T_TCVAT_HZ_ACCDETAIL_DIFF ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_ACCOUNT_SUMMAR', 'T_TCVAT_HZ_ACCOUNT_SUMMAR', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_ACCOUNT_SUMMAR') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_ACCOUNT_SUMMAR ON T_TCVAT_HZ_ACCOUNT_SUMMAR ( FORGID ,FENDDATE ,FSTARTDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_DIFF_TEMP', 'T_TCVAT_HZ_DIFF_TEMP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_DIFF_TEMP') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_DIFF_TEMP ON T_TCVAT_HZ_DIFF_TEMP ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_ACCDETAIL_ROUT', 'T_TCVAT_HZ_ACCDETAIL_ROUT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_ACCDETAIL_ROUT') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_ACCDETAIL_ROUT ON T_TCVAT_HZ_ACCDETAIL_ROUT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_DEDUCT_COU_DET', 'T_TCVAT_HZ_DEDUCT_COU_DET', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_DEDUCT_COU_DET') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_DEDUCT_COU_DET ON T_TCVAT_HZ_DEDUCT_COU_DET ( FPID );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_TAXDEDUCE_SUM', 'T_TCVAT_HZ_TAXDEDUCE_SUM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_TAXDEDUCE_SUM') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_TAXDEDUCE_SUM ON T_TCVAT_HZ_TAXDEDUCE_SUM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_TAXREDUCE_DETA', 'T_TCVAT_HZ_TAXREDUCE_DETA', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_TAXREDUCE_DETA') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_TAXREDUCE_DETA ON T_TCVAT_HZ_TAXREDUCE_DETA ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_POLICY_CONFIRM', 'T_TCVAT_HZ_POLICY_CONFIRM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_POLICY_CONFIRM') CREATE INDEX IDX_TCVAT_HZ_POLICY_CONFIRM ON T_TCVAT_HZ_POLICY_CONFIRM ( FORGID ,FSTARTDATE ,FENDDATE ,FSTATUS );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_DEDUCT_INPU_AU', 'T_TCVAT_HZ_DEDUCT_INPU_AU', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_DEDUCT_INPU_AU') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_DEDUCT_INPU_AU ON T_TCVAT_HZ_DEDUCT_INPU_AU ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_DEDUCTION_SUM', 'T_TCVAT_HZ_DEDUCTION_SUM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_DEDUCTION_SUM') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_DEDUCTION_SUM ON T_TCVAT_HZ_DEDUCTION_SUM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_INCOME_ADD_TEM', 'T_TCVAT_HZ_INCOME_ADD_TEM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_INCOME_ADD_TEM') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_INCOME_ADD_TEM ON T_TCVAT_HZ_INCOME_ADD_TEM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_INPUT_INVO_SIG', 'T_TCVAT_HZ_INPUT_INVO_SIG', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_INPUT_INVO_SIG') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_INPUT_INVO_SIG ON T_TCVAT_HZ_INPUT_INVO_SIG ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_POLICY_ENTRY', 'T_TCVAT_HZ_POLICY_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_POLICY_ENTRY_FK') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_POLICY_ENTRY_FK ON T_TCVAT_HZ_POLICY_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_ROLL_OUT_SUM', 'T_TCVAT_HZ_ROLL_OUT_SUM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_ROLL_OUT_SUM') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_ROLL_OUT_SUM ON T_TCVAT_HZ_ROLL_OUT_SUM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_TAXREDUCE_SUM', 'T_TCVAT_HZ_TAXREDUCE_SUM', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_TAXREDUCE_SUM') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_TAXREDUCE_SUM ON T_TCVAT_HZ_TAXREDUCE_SUM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_DEDUCT_DETAIL', 'T_TCVAT_HZ_DEDUCT_DETAIL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_DEDUCT_DETAIL') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_DEDUCT_DETAIL ON T_TCVAT_HZ_DEDUCT_DETAIL ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_ACCDETAIL_COME', 'T_TCVAT_HZ_ACCDETAIL_COME', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_ACCDETAIL_COME') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_ACCDETAIL_COME ON T_TCVAT_HZ_ACCDETAIL_COME ( FSUBORGID ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_INCOME_INVOICE', 'T_TCVAT_HZ_INCOME_INVOICE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_INCOME_INVOICE') CREATE  CLUSTERED INDEX IDX_TCVAT_HZ_INCOME_INVOICE ON T_TCVAT_HZ_INCOME_INVOICE ( FSUBORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_FZ_TAXPAY_SUM', 'T_TCVAT_HZ_FZ_TAXPAY_SUM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_FZ_TAXPAY_SUM') CREATE INDEX IDX_TCVAT_HZ_FZ_TAXPAY_SUM ON T_TCVAT_HZ_FZ_TAXPAY_SUM ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_TAXRE_SUMMARY', 'T_TCVAT_HZ_TAXRE_SUMMARY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCVAT_HZ_TAXRE_SUMMARY') CREATE INDEX IDX_TCVAT_HZ_TAXRE_SUMMARY ON T_TCVAT_HZ_TAXRE_SUMMARY ( FORGID ,FSTARTDATE ,FENDDATE );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
