﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZJG_INPUT_STATE') 
 CREATE TABLE T_TCVAT_FZJG_INPUT_STATE (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATE DATETIME,
FINVOICECODENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZJG_TAXPAY_STATE') 
 CREATE TABLE T_TCVAT_FZJG_TAXPAY_STATE (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYZL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FFZJGMC VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_ACCDETAIL_DIFF') 
 CREATE TABLE T_TCVAT_FZ_ACCDETAIL_DIFF (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_ACCDETAIL_IN') 
 CREATE TABLE T_TCVAT_FZ_ACCDETAIL_IN (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_ACCDETAIL_PRE') 
 CREATE TABLE T_TCVAT_FZ_ACCDETAIL_PRE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_DETAIL_ROLLOUT') 
 CREATE TABLE T_TCVAT_FZ_DETAIL_ROLLOUT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEHE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHFBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_JXSEDKTJMX') 
 CREATE TABLE T_TCVAT_FZ_JXSEDKTJMX (
FID BIGINT DEFAULT 0 NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPID BIGINT DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_POLICY_CONFIRM') 
 CREATE TABLE T_TCVAT_FZ_POLICY_CONFIRM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPLICABLEDIFFER CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHZQYLX VARCHAR(30) DEFAULT ' ' NOT NULL,
FHZFS VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_POLICY_ENTRY') 
 CREATE TABLE T_TCVAT_FZ_POLICY_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVICEDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FRATE BIGINT DEFAULT 0 NOT NULL,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDECARETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXATION BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_TAXREDUCE') 
 CREATE TABLE T_TCVAT_FZ_TAXREDUCE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_ADDDEDUCT') 
 CREATE TABLE T_TCVAT_FZ_ADDDEDUCT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSERVICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTDECREASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIFFTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_DEDUCTION') 
 CREATE TABLE T_TCVAT_FZ_DEDUCTION (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FINPUTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_DIFFDEDUCT') 
 CREATE TABLE T_TCVAT_FZ_DIFFDEDUCT (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_INCOME_INVOICE') 
 CREATE TABLE T_TCVAT_FZ_INCOME_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_INCOME_SUMMARY') 
 CREATE TABLE T_TCVAT_FZ_INCOME_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXMETHODTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_JZJTJXSEMX') 
 CREATE TABLE T_TCVAT_FZ_JZJTJXSEMX (
FID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(32) DEFAULT ' ' NOT NULL,
FINPUTAUTHID BIGINT DEFAULT 0 NOT NULL,
FCONSUMERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENTSIGNTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEHE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHFBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJSJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_PRE_DEDUCE_SUM') 
 CREATE TABLE T_TCVAT_FZ_PRE_DEDUCE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FMZZZSXMXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSEDYJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_PRE_IN_INVOICE') 
 CREATE TABLE T_TCVAT_FZ_PRE_IN_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_PREPAY_SUMMARY') 
 CREATE TABLE T_TCVAT_FZ_PREPAY_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXMETHODTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FPREPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPAYRATE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_ROLLOUTSUMMARY') 
 CREATE TABLE T_TCVAT_FZ_ROLLOUTSUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FROLLOUTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDECLATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_TAXDEDUCE_SUM') 
 CREATE TABLE T_TCVAT_FZ_TAXDEDUCE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FMZZZSXMXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSEDYJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_TAXREDUCE_SUM') 
 CREATE TABLE T_TCVAT_FZ_TAXREDUCE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_DEDUCTION_DETA') 
 CREATE TABLE T_TCVAT_FZ_DEDUCTION_DETA (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(32) DEFAULT ' ' NOT NULL,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FGOODSNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FEXPORTFLAG CHAR(1) DEFAULT ' ' NOT NULL,
FJZJTFLAG CHAR(1) DEFAULT ' ' NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FZ_TAXREDUCE_BOOK') 
 CREATE TABLE T_TCVAT_FZ_TAXREDUCE_BOOK (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEVIDE_DETAIL') 
 CREATE TABLE T_TCVAT_DEVIDE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEVIDETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICEID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEVIDE_ENTITY') 
 CREATE TABLE T_TCVAT_DEVIDE_ENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEVICERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEVIDETAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INVOICE_PROJECT') 
 CREATE TABLE T_TCVAT_INVOICE_PROJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSPLIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FRADIOGROUPFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ACCDETAIL_DIFF') 
 CREATE TABLE T_TCVAT_HZ_ACCDETAIL_DIFF (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL,
FSUBORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR') 
 CREATE TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXMETHODTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FSUBORGID BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DIFF_TEMP') 
 CREATE TABLE T_TCVAT_HZ_DIFF_TEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ACCDETAIL_ROUT') 
 CREATE TABLE T_TCVAT_HZ_ACCDETAIL_ROUT (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEHE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHFBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DEDUCT_COU_DET') 
 CREATE TABLE T_TCVAT_HZ_DEDUCT_COU_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_TAXDEDUCE_SUM') 
 CREATE TABLE T_TCVAT_HZ_TAXDEDUCE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FMZZZSXMXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJKCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCHMSXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSXSEDYJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_TAXREDUCE_DETA') 
 CREATE TABLE T_TCVAT_HZ_TAXREDUCE_DETA (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_POLICY_CONFIRM') 
 CREATE TABLE T_TCVAT_HZ_POLICY_CONFIRM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAPPLICABLEDIFFER CHAR(1) DEFAULT ' ' NOT NULL,
FHZQYLX VARCHAR(30) DEFAULT ' ' NOT NULL,
FHZFS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FISAPPLICABLEPLUS CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTIONRATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DEDUCT_INPU_AU') 
 CREATE TABLE T_TCVAT_HZ_DEDUCT_INPU_AU (
FID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(32) DEFAULT ' ' NOT NULL,
FINPUTAUTHID BIGINT DEFAULT 0 NOT NULL,
FCONSUMERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENTSIGNTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEHE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHFBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJSJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DEDUCTION_SUM') 
 CREATE TABLE T_TCVAT_HZ_DEDUCTION_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FINPUTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_INCOME_ADD_TEM') 
 CREATE TABLE T_TCVAT_HZ_INCOME_ADD_TEM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERVICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTDECREASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_INPUT_INVO_SIG') 
 CREATE TABLE T_TCVAT_HZ_INPUT_INVO_SIG (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAVALIABLETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNEDTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTSIGNTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONSUMERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(125) DEFAULT ' ' NOT NULL,
FINVOICEPKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSIGNCOID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FREFUNDABLETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNDISTINGUISHTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROLLOUTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FROLLOUTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROLLOUTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_POLICY_ENTRY') 
 CREATE TABLE T_TCVAT_HZ_POLICY_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVICEDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXATION BIGINT DEFAULT 0 NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FRATE BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUBORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ROLL_OUT_SUM') 
 CREATE TABLE T_TCVAT_HZ_ROLL_OUT_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FROLLOUTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDECLATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FJZJTROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_TAXREDUCE_SUM') 
 CREATE TABLE T_TCVAT_HZ_TAXREDUCE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DEDUCT_DETAIL') 
 CREATE TABLE T_TCVAT_HZ_DEDUCT_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(32) DEFAULT ' ' NOT NULL,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FGOODSNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FEXPORTFLAG CHAR(1) DEFAULT ' ' NOT NULL,
FJZJTFLAG CHAR(1) DEFAULT ' ' NOT NULL,
FEFFECTIVETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ACCDETAIL_COME') 
 CREATE TABLE T_TCVAT_HZ_ACCDETAIL_COME (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_INCOME_INVOICE') 
 CREATE TABLE T_TCVAT_HZ_INCOME_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORGID BIGINT DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_FZ_TAXPAY_SUM') 
 CREATE TABLE T_TCVAT_HZ_FZ_TAXPAY_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORGID BIGINT DEFAULT 0 NOT NULL,
FSALESAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_TAXRE_SUMMARY') 
 CREATE TABLE T_TCVAT_HZ_TAXRE_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FQCYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSJDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FUNIQUEKEY VARCHAR(250) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXREDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBHXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
