﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_PREPAY' AND KSQL_COL_NAME ='FTOTALAMOUNT') 
 ALTER TABLE T_TCVAT_PREPAY ADD (FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACCOUNT_ENTRY') 
 CREATE TABLE T_TCVAT_ACCOUNT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPREPAYBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPAYRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPREPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PREPAY_ACC_DETAIL') 
 CREATE TABLE T_TCVAT_PREPAY_ACC_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_PROJECT_CONFIRM' AND KSQL_COL_NAME ='FSTARTDATE') 
 ALTER TABLE T_TCVAT_PROJECT_CONFIRM ADD (FSTARTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_PROJECT_CONFIRM' AND KSQL_COL_NAME ='FENDDATE') 
 ALTER TABLE T_TCVAT_PROJECT_CONFIRM ADD (FENDDATE DATETIME );
 EXEC p_AlterColumn 'T_TCVAT_PREPAY_PROJECT', 'FTAXOFFICE', 'BIGINT', 'NOT NULL', '1111', '0';

 EXEC p_AlterColumn 'T_TCVAT_CONFIRM_ENTRY', 'FTAXOFFICE', 'BIGINT', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_PREPAY_DEDUC' AND KSQL_COL_NAME ='FISCUSTOMTABLE') 
 ALTER TABLE T_TCVAT_RULE_PREPAY_DEDUC ADD (FISCUSTOMTABLE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_PREPAY_ENTRY' AND KSQL_COL_NAME ='FISCUSTOMTABLE') 
 ALTER TABLE T_TCVAT_RULE_PREPAY_ENTRY ADD (FISCUSTOMTABLE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PROJECT_ACCOUNT') 
 CREATE TABLE T_TCVAT_PROJECT_ACCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FLICENSECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXOFFICE BIGINT DEFAULT 0 NOT NULL,
FLEVYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSALESAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FPREPAYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FPROJECTID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
