﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FINVOICETAXAMOUNT') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FINVOICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR' AND KSQL_COL_NAME ='FINVOICETAXAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR ADD (FINVOICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ZLB_YBNSR_YBHZ') 
 CREATE TABLE T_TCVAT_ZLB_YBNSR_YBHZ (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FYBXM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTXM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ZLB_YBNSR_YBHZ_BT') 
 CREATE TABLE T_TCVAT_ZLB_YBNSR_YBHZ_BT (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJTYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLWXSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLWXSZB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLWYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTXSZB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWXSZB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWJZJTXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWJZJTXSEZB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWJZJTYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBTSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEZBHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ZLB_YBNSR_YBHZFPB') 
 CREATE TABLE T_TCVAT_ZLB_YBNSR_YBHZFPB (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FXSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTXSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTFPBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJZJTFPSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWXSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWFPBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWFPSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWJZJTXSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWJZJTFPBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSFWJZJTFPSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPBSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DG_YBNSR_YBHZ') 
 CREATE TABLE T_TCVAT_DG_YBNSR_YBHZ (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJXSEZC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMLDSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJJDJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJYFFYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSEJZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
