﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\TCVAT_table.sql **/
 EXEC p_AlterColumn 'T_TCVAT_ROLL_OUT_RULE_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_TCVAT_INCOME_RULE_L', 'FPKID', 'VARCHAR(36)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_POLICYCONFIRM') 
 CREATE TABLE T_TCVAT_POLICYCONFIRM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTAXPLAYERAPTITUDE VARCHAR(100) DEFAULT ' ' NOT NULL,
FREPORTPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FISAPPLICABLEPLUS CHAR(1) DEFAULT ' ' NOT NULL,
FAPPLICABLEDIFFER CHAR(1) DEFAULT ' ' NOT NULL,
FORGID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_POLICY_ENTRY') 
 CREATE TABLE T_TCVAT_POLICY_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSERVICEDESC VARCHAR(100) DEFAULT ' ' NOT NULL,
FSERVICEPERFORMANCE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXATION VARCHAR(30) DEFAULT ' ' NOT NULL,
FRATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSERVICETYPE BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FORG VARCHAR(100) DEFAULT ' ' NOT NULL,
FROWNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FINCOMEID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ADDDEDUCT') 
 CREATE TABLE T_TCVAT_ADDDEDUCT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FSERVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FROWNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTDECREASE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCTION_DETAIL') 
 CREATE TABLE T_TCVAT_DEDUCTION_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FVOUCHERNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FGOODSNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCTION_SUMMARY') 
 CREATE TABLE T_TCVAT_DEDUCTION_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_DIFFDEDUCT') 
 CREATE TABLE T_TCVAT_DIFFDEDUCT (
FID BIGINT DEFAULT 0 NOT NULL,
FPROJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FROWNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_INVOICE') 
 CREATE TABLE T_TCVAT_INCOME_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FTAXRULEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICEDATA DATETIME,
FMAINGOODSNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_SUMMARY') 
 CREATE TABLE T_TCVAT_INCOME_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXMETHOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FSERIALNO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ROLL_OUT_ACCOUNTI') 
 CREATE TABLE T_TCVAT_ROLL_OUT_ACCOUNTI (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FTAXRULEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBJECTID VARCHAR(36) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATATABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATATYPE BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(510) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXACCOUNTSERIALNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FTABLETYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ROLL_OUT_INVOICE') 
 CREATE TABLE T_TCVAT_ROLL_OUT_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FTAXRULEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FROLLOUTDATE DATETIME,
FMAINGOODSNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FROLLOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMBOFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FSALERNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FSALERTAXNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ROLL_OUT_SUMMARY') 
 CREATE TABLE T_TCVAT_ROLL_OUT_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FROLLOUTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FSERIALNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FDECLATYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACCOUNTING_DETAIL') 
 CREATE TABLE T_TCVAT_ACCOUNTING_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FTAXRULEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBJECTID VARCHAR(36) DEFAULT ' ' NOT NULL,
FTAXPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FTABLETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATATYPE BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(510) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXACCOUNTSERIALNO BIGINT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\TCVAT_table.sql **/
