﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_INC_QTBHS') 
 CREATE TABLE T_TCVAT_RULE_INC_QTBHS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_INC_QTSE') 
 CREATE TABLE T_TCVAT_RULE_INC_QTSE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_INC_WKPSE') 
 CREATE TABLE T_TCVAT_RULE_INC_WKPSE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INCOME' AND KSQL_COL_NAME ='FQTFPSEQS') 
 ALTER TABLE T_TCVAT_RULE_INCOME ADD (FQTFPSEQS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INCOME' AND KSQL_COL_NAME ='FWKPSEQS') 
 ALTER TABLE T_TCVAT_RULE_INCOME ADD (FWKPSEQS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_INCOME' AND KSQL_COL_NAME ='FTYPE') 
 ALTER TABLE T_TCVAT_ACCDETAIL_INCOME ADD (FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_INCOME' AND KSQL_COL_NAME ='FTAXRATE') 
 ALTER TABLE T_TCVAT_ACCDETAIL_INCOME ADD (FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_INCOME' AND KSQL_COL_NAME ='FTAXAMOUNT') 
 ALTER TABLE T_TCVAT_ACCDETAIL_INCOME ADD (FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FNONETAXAMOUNT') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FNONETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FSPECIALINVOICEAMOUNT') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FSPECIALINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FOTHERINVOICEAMOUNT') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FOTHERINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FOTHERTAXAMOUNT') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FOTHERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FTOTALTAXAMOUNT') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FPRICETAXAMOUNT') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FPRICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_COL_NAME ='FSPECIALTAXAMOUNT') 
 ALTER TABLE T_TCVAT_INCOME_SUMMARY ADD (FSPECIALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCDETAIL_COME' AND KSQL_COL_NAME ='FTYPE') 
 ALTER TABLE T_TCVAT_HZ_ACCDETAIL_COME ADD (FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCDETAIL_COME' AND KSQL_COL_NAME ='FTAXRATE') 
 ALTER TABLE T_TCVAT_HZ_ACCDETAIL_COME ADD (FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCDETAIL_COME' AND KSQL_COL_NAME ='FTAXAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCDETAIL_COME ADD (FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR' AND KSQL_COL_NAME ='FTOTALTAXAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR ADD (FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR' AND KSQL_COL_NAME ='FPRICETAXAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR ADD (FPRICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR' AND KSQL_COL_NAME ='FSPECIALTAXAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR ADD (FSPECIALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR' AND KSQL_COL_NAME ='FSPECIALINVOICEAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR ADD (FSPECIALINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR' AND KSQL_COL_NAME ='FOTHERINVOICEAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR ADD (FOTHERINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR' AND KSQL_COL_NAME ='FOTHERTAXAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR ADD (FOTHERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUMMAR' AND KSQL_COL_NAME ='FNONETAXAMOUNT') 
 ALTER TABLE T_TCVAT_HZ_ACCOUNT_SUMMAR ADD (FNONETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
