﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_PROJECT_ACCOUNT' AND KSQL_COL_NAME ='FAPPLICATIONNO') 
 ALTER TABLE T_TCVAT_PROJECT_ACCOUNT ADD (FAPPLICATIONNO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PREPAY_APPLICATE') 
 CREATE TABLE T_TCVAT_PREPAY_APPLICATE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FPREPAYPROJECT BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCROSSNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECIMALFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPAYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSALESAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPREPAYRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FZZSPREPAY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PREPAY_DEDUCTION')
 CREATE TABLE T_TCVAT_PREPAY_DEDUCTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSINVOICENO11 VARCHAR(50) DEFAULT ' ' NOT NULL,
FDISSUETIME DATETIME,
FDINVOICEID BIGINT DEFAULT 0 NOT NULL,
FDSALERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDINVOICETYPE BIGINT DEFAULT 0 NOT NULL,
FMAINGOODSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDTOTALDEDUCT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDAVAILDEDUCT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCURRENTDEDUCT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDREMAINDEDUCT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDREMARK VARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PREPAY_OTHER') 
 CREATE TABLE T_TCVAT_PREPAY_OTHER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASETAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PREPAY_SALES')
 CREATE TABLE T_TCVAT_PREPAY_SALES (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTAXORG BIGINT DEFAULT 0 NOT NULL,
FSINVOICETYPE BIGINT DEFAULT 0 NOT NULL,
FSISSUETIME DATETIME,
FSBUYERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOTALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSREMARK VARCHAR(300) DEFAULT ' ' NOT NULL,
FSADVANCEPAYMENTSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSINVOICEID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
