﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_DEDUCT') 
 CREATE TABLE T_TCVAT_RULE_DEDUCT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEDUCTTYPE BIGINT DEFAULT 0 NOT NULL,
FJZJT VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_DEDUCT_ENTRY') 
 CREATE TABLE T_TCVAT_RULE_DEDUCT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFCONDITIONJSON NCLOB DEFAULT '',
FFILTERCONDITION NCLOB DEFAULT '',
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_DEDUCT_L')
 CREATE TABLE T_TCVAT_RULE_DEDUCT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FPISA') 
 CREATE TABLE T_TCVAT_FPISA (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODFROM DATETIME,
FPERIODTO DATETIME,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_FPISA_ENT') 
 CREATE TABLE T_TCVAT_FPISA_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINCOMETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXEXEMCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFPREVENUEINCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPREVENUEEXCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPCOSTINCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPCOSTEXCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINFPINCOMEINCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODFPINCOMEINCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODFPINCOMEEXCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANREVENUEINCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANREVENUEEXCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREVENUEINCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREVENUEEXCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALCOSTEXCLTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_PREPAY_DECLARE' AND KSQL_COL_NAME ='FPAYSTATUS') 
 ALTER TABLE T_TCVAT_PREPAY_DECLARE ADD (FPAYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_PREPAY_DECLARE' AND KSQL_COL_NAME ='FDEDUCTIONPERIOD') 
 ALTER TABLE T_TCVAT_PREPAY_DECLARE ADD (FDEDUCTIONPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_TCVAT_PREPAY_DEDUCTION', 'FDSALERNAME', 'VARCHAR(120)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_TCVAT_PREPAY_DEDUCTION', 'FMAINGOODSNAME', 'VARCHAR(120)', 'NOT NULL', '0100', ''' ''';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
