﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
EXEC p_DropIdx 'IDX_DEDUCT_DETAIL_SERIALNO', 'T_TCVAT_DEDUCT_DETAIL_BIL';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCT_DETAIL_BIL' AND KSQL_INDNAME = 'IDX_DEDUCT_DETAIL_SERIALNO_1') CREATE INDEX IDX_DEDUCT_DETAIL_SERIALNO_1 ON T_TCVAT_DEDUCT_DETAIL_BIL ( FTAXACCOUNTSERIALNO );

 EXEC P_ALTERPK 'PK_TCVAT_CUSTOMS_DETAIL_JT', 'T_TCVAT_CUSTOMS_DETAIL_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_CUSTOMS_DETAIL_JT' AND KSQL_INDNAME = 'IDX_CUSTOMS_DETAIL_SERIALNO') CREATE INDEX IDX_CUSTOMS_DETAIL_SERIALNO ON T_TCVAT_CUSTOMS_DETAIL_JT ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_DEDUCT_JZJT_SJJT', 'T_TCVAT_DEDUCT_JZJT_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCT_JZJT_SJJT' AND KSQL_INDNAME = 'IDX_DEDUCT_JZJT_SERIALNO') CREATE INDEX IDX_DEDUCT_JZJT_SERIALNO ON T_TCVAT_DEDUCT_JZJT_SJJT ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_DEDUCTION_SUM_JT', 'T_TCVAT_DEDUCTION_SUM_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCTION_SUM_JT' AND KSQL_INDNAME = 'IDX_DEDUCTION_SUM_SERIALNO') CREATE INDEX IDX_DEDUCTION_SUM_SERIALNO ON T_TCVAT_DEDUCTION_SUM_JT ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_DETAIL_DIFF_SJJT', 'T_TCVAT_DETAIL_DIFF_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DETAIL_DIFF_SJJT' AND KSQL_INDNAME = 'IDX_DETAIL_DIFF_SERIALNO') CREATE INDEX IDX_DETAIL_DIFF_SERIALNO ON T_TCVAT_DETAIL_DIFF_SJJT ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_DETAIL_INCOM_SJJT', 'T_TCVAT_DETAIL_INCOM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DETAIL_INCOM_SJJT' AND KSQL_INDNAME = 'IDX_SERIALNO_ORG_SKSSQ') CREATE INDEX IDX_SERIALNO_ORG_SKSSQ ON T_TCVAT_DETAIL_INCOM_SJJT ( FTAXACCOUNTSERIALNO ,FORGID ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_TCVAT_DETAIL_ROLLOUT_JT', 'T_TCVAT_DETAIL_ROLLOUT_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DETAIL_ROLLOUT_JT' AND KSQL_INDNAME = 'IDX_DETAIL_ROLLOUT_SERIALNO') CREATE INDEX IDX_DETAIL_ROLLOUT_SERIALNO ON T_TCVAT_DETAIL_ROLLOUT_JT ( FORGID ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_TCVAT_DIFFDEDUCT_SJJT', 'T_TCVAT_DIFFDEDUCT_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DIFFDEDUCT_SJJT' AND KSQL_INDNAME = 'IDX_DIFFDEDUCT_ORGID_TAXPERIOD') CREATE INDEX IDX_DIFFDEDUCT_ORGID_TAXPERIOD ON T_TCVAT_DIFFDEDUCT_SJJT ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_INCOME_ADD_TEM_JT', 'T_TCVAT_INCOME_ADD_TEM_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_ADD_TEM_JT' AND KSQL_INDNAME = 'IDX_INCOME_ADD_TEM_SERIALNO') CREATE INDEX IDX_INCOME_ADD_TEM_SERIALNO ON T_TCVAT_INCOME_ADD_TEM_JT ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_INCOME_SUM_SJJT', 'T_TCVAT_INCOME_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_SUM_SJJT' AND KSQL_INDNAME = 'IDX_ORGID_TAXPERIOD') CREATE INDEX IDX_ORGID_TAXPERIOD ON T_TCVAT_INCOME_SUM_SJJT ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_ROLL_OUT_SUM_SJJT', 'T_TCVAT_ROLL_OUT_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_ROLL_OUT_SUM_SJJT' AND KSQL_INDNAME = 'IDX_ROLL_OUT_SUM_SERIALNO') CREATE INDEX IDX_ROLL_OUT_SUM_SERIALNO ON T_TCVAT_ROLL_OUT_SUM_SJJT ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_TAX_REDU_SUM_SJJT', 'T_TCVAT_TAX_REDU_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_TAX_REDU_SUM_SJJT' AND KSQL_INDNAME = 'IDX_TAX_REDU_SUM_SERIALNO') CREATE INDEX IDX_TAX_REDU_SUM_SERIALNO ON T_TCVAT_TAX_REDU_SUM_SJJT ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_TAX_REFUND_MAG_A', 'T_TCVAT_TAX_REFUND_MAG_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_TAX_REFUND_MAG_A' AND KSQL_INDNAME = 'IDX_TCVAT_TAX_REFUND_FBILLNO') CREATE INDEX IDX_TCVAT_TAX_REFUND_FBILLNO ON T_TCVAT_TAX_REFUND_MAG_A ( FBILLNO );


 EXEC P_ALTERPK 'PK_TCVAT_TAXDEDUC_SUM_SJJT', 'T_TCVAT_TAXDEDUC_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_TAXDEDUC_SUM_SJJT' AND KSQL_INDNAME = 'IDX_TAXDEDUC_ORGID_TAXPERIOD') CREATE INDEX IDX_TAXDEDUC_ORGID_TAXPERIOD ON T_TCVAT_TAXDEDUC_SUM_SJJT ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_TAXREDUC_DET_SJJT', 'T_TCVAT_TAXREDUC_DET_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_TAXREDUC_DET_SJJT' AND KSQL_INDNAME = 'IDX_TAXREDUC_DET_SERIALNO') CREATE INDEX IDX_TAXREDUC_DET_SERIALNO ON T_TCVAT_TAXREDUC_DET_SJJT ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_WAITDEDUCT_DET_JT', 'T_TCVAT_WAITDEDUCT_DET_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_WAITDEDUCT_DET_JT' AND KSQL_INDNAME = 'IDX_WAITDEDUCT_DET_SERIALNO') CREATE INDEX IDX_WAITDEDUCT_DET_SERIALNO ON T_TCVAT_WAITDEDUCT_DET_JT ( FORGID ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_TCVAT_WAITDEDUCT_SUM_JI', 'T_TCVAT_WAITDEDUCT_SUM_JI', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_WAITDEDUCT_SUM_JI' AND KSQL_INDNAME = 'IDX_WAITDEDUCT_SUM_SERIALNO') CREATE INDEX IDX_WAITDEDUCT_SUM_SERIALNO ON T_TCVAT_WAITDEDUCT_SUM_JI ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_DEDUCT_DETAIL_JT', 'T_TCVAT_DEDUCT_DETAIL_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCT_DETAIL_JT' AND KSQL_INDNAME = 'IDX_DEDUCT_DETAIL_SERIALNO_0') CREATE INDEX IDX_DEDUCT_DETAIL_SERIALNO_0 ON T_TCVAT_DEDUCT_DETAIL_JT ( FORGID ,FTAXPERIOD );


 EXEC P_ALTERPK 'PK_TCVAT_DEDUCTDETAIL_SJJT', 'T_TCVAT_DEDUCTDETAIL_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_DEDUCTDETAIL_SJJT' AND KSQL_INDNAME = 'IDX_TCVAT_DEDUCT_SERIALNO_2') CREATE INDEX IDX_TCVAT_DEDUCT_SERIALNO_2 ON T_TCVAT_DEDUCTDETAIL_SJJT ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_INCOME_INVOICE_JT', 'T_TCVAT_INCOME_INVOICE_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_INVOICE_JT' AND KSQL_INDNAME = 'IDX_INCOME_INVOICE_SERIALNO') CREATE INDEX IDX_INCOME_INVOICE_SERIALNO ON T_TCVAT_INCOME_INVOICE_JT ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_TAXREDUC_SUM_SJJT', 'T_TCVAT_TAXREDUC_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_TAXREDUC_SUM_SJJT' AND KSQL_INDNAME = 'IDX_TAXREDUC_ORG_TAXPERI') CREATE INDEX IDX_TAXREDUC_ORG_TAXPERI ON T_TCVAT_TAXREDUC_SUM_SJJT ( FORGID ,FTAXPERIOD );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
