﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
 EXEC P_ALTERPK 'PK_TCVAT_HZ_ACCOUNT_SUM_JT', 'T_TCVAT_HZ_ACCOUNT_SUM_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ACCOUNT_SUM_JT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_ACCOUNT_SUM_JT') CREATE INDEX IDX_T_TCVAT_HZ_ACCOUNT_SUM_JT ON T_TCVAT_HZ_ACCOUNT_SUM_JT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_DEDUCT_SUM_JT', 'T_TCVAT_HZ_DEDUCT_SUM_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DEDUCT_SUM_JT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_DEDUCT_SUM_JT') CREATE INDEX IDX_T_TCVAT_HZ_DEDUCT_SUM_JT ON T_TCVAT_HZ_DEDUCT_SUM_JT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_DIFF_TEMP_SJJT', 'T_TCVAT_HZ_DIFF_TEMP_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_DIFF_TEMP_SJJT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_DIFF_TEMP_SJJT') CREATE INDEX IDX_T_TCVAT_HZ_DIFF_TEMP_SJJT ON T_TCVAT_HZ_DIFF_TEMP_SJJT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_INCOME_ADD_JT', 'T_TCVAT_HZ_INCOME_ADD_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_INCOME_ADD_JT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_INCOME_ADD_JT') CREATE INDEX IDX_T_TCVAT_HZ_INCOME_ADD_JT ON T_TCVAT_HZ_INCOME_ADD_JT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_JSXM_SUM_SJJT', 'T_TCVAT_HZ_JSXM_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_JSXM_SUM_SJJT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_JSXM_SUM_SJJT') CREATE INDEX IDX_T_TCVAT_HZ_JSXM_SUM_SJJT ON T_TCVAT_HZ_JSXM_SUM_SJJT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_JXDDK_SUM_SJJT', 'T_TCVAT_HZ_JXDDK_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_JXDDK_SUM_SJJT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_JXDDK_SUM_SJJT') CREATE INDEX IDX_T_TCVAT_HZ_JXDDK_SUM_SJJT ON T_TCVAT_HZ_JXDDK_SUM_SJJT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_ROLLOUT_SUM_JT', 'T_TCVAT_HZ_ROLLOUT_SUM_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ROLLOUT_SUM_JT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_ROLLOUT_SUM_JT') CREATE INDEX IDX_T_TCVAT_HZ_ROLLOUT_SUM_JT ON T_TCVAT_HZ_ROLLOUT_SUM_JT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_TAXDEDU_SUM_JT', 'T_TCVAT_HZ_TAXDEDU_SUM_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_TAXDEDU_SUM_JT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_TAXDEDU_SUM_JT') CREATE INDEX IDX_T_TCVAT_HZ_TAXDEDU_SUM_JT ON T_TCVAT_HZ_TAXDEDU_SUM_JT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_TAXRE_SUM_SJJT', 'T_TCVAT_HZ_TAXRE_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_TAXRE_SUM_SJJT' AND KSQL_INDNAME = 'IDX_T_TCVAT_HZ_TAXRE_SUM_SJJT') CREATE INDEX IDX_T_TCVAT_HZ_TAXRE_SUM_SJJT ON T_TCVAT_HZ_TAXRE_SUM_SJJT ( FORGID ,FSTARTDATE ,FENDDATE );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_SUMMARY' AND KSQL_INDNAME = 'IDX_INCOME_SUMMARY_FSERIALNO') CREATE INDEX IDX_INCOME_SUMMARY_FSERIALNO ON T_TCVAT_INCOME_SUMMARY ( FSERIALNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_ACCDETAIL_INCOME' AND KSQL_INDNAME = 'IDX_DETAIL_INCOME_FSERIALNO') CREATE INDEX IDX_DETAIL_INCOME_FSERIALNO ON T_TCVAT_ACCDETAIL_INCOME ( FTAXACCOUNTSERIALNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_INCOME_INVOICE' AND KSQL_INDNAME = 'IDX_INCOME_INVOICE_FSERIALNO') CREATE INDEX IDX_INCOME_INVOICE_FSERIALNO ON T_TCVAT_HZ_INCOME_INVOICE ( FTAXACCOUNTSERIALNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_ACCDETAIL_COME' AND KSQL_INDNAME = 'IDX_ACCDETAIL_COME_FSERIALNO') CREATE INDEX IDX_ACCDETAIL_COME_FSERIALNO ON T_TCVAT_HZ_ACCDETAIL_COME ( FTAXACCOUNTSERIALNO );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_constraint.sql **/
