﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACC_INV_COMP') 
 CREATE TABLE T_TCVAT_ACC_INV_COMP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FWFSTARTDATE DATETIME,
FWFENDDATE DATETIME,
FBQKPBQQRAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWQKPBQQRAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQKPWQQRAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQWKPBQQRAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQKPBQWQRAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACC_INVCOMP_ENT') 
 CREATE TABLE T_TCVAT_ACC_INVCOMP_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FWFDATE DATETIME,
FACCPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPZJZDATE DATETIME,
FPZHH VARCHAR(50) DEFAULT ' ' NOT NULL,
FKJPZH VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURWFDATA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEDATE DATETIME,
FINVOICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUYERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FGOODSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACC_INVCOMP_ENT1') 
 CREATE TABLE T_TCVAT_ACC_INVCOMP_ENT1 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FWRITEOFFTYPE BIGINT DEFAULT 0 NOT NULL,
FWFDATE DATETIME,
FACCPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPZJZDATE DATETIME,
FKJPZH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPZHH VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEDATE DATETIME,
FINVOICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUYERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FGOODSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURWFDATA DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACC_INVCOMP_ENT2') 
 CREATE TABLE T_TCVAT_ACC_INVCOMP_ENT2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FWRITEOFFTYPE BIGINT DEFAULT 0 NOT NULL,
FWFDATE DATETIME,
FACCPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPZJZDATE DATETIME,
FKJPZH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPZHH VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEDATE DATETIME,
FINVOICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUYERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FGOODSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURWFDATA DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACC_INVCOMP_ENT3') 
 CREATE TABLE T_TCVAT_ACC_INVCOMP_ENT3 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPZJZDATE DATETIME,
FKJPZH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPZHH VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOWRITEOFF DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACC_INVCOMP_ENT4') 
 CREATE TABLE T_TCVAT_ACC_INVCOMP_ENT4 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEDATE DATETIME,
FINVOICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUYERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FGOODSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOWRITEOFF DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_WFRECORD_DETAIL' AND KSQL_COL_NAME ='FZPCY') 
 ALTER TABLE T_TCVAT_WFRECORD_DETAIL ADD (FZPCY VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
