﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INPUT_PLAN') 
 CREATE TABLE T_TCVAT_INPUT_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBQYJSRE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSQSFL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYJSFL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQJXZCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQMDTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYNSJZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FSKSSQ VARCHAR(100) DEFAULT ' ' NOT NULL,
FBQYJYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYRZJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYJRZJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQSYYRZJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQHDSRE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQJHDKJXSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_NEW_RULE') 
 CREATE TABLE T_TCVAT_NEW_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUSINESSFEATURE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRULETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXATIONID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPENAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECLATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FROLLOUTTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ORGS_RULES') 
 CREATE TABLE T_TCVAT_ORGS_RULES (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSHARINGORGID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PLAN_INCOMERULE') 
 CREATE TABLE T_TCVAT_PLAN_INCOMERULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFMODIFYTIME DATETIME,
FBUSINESSFEATURE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRULETAXATIONID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PLAN_MAIN') 
 CREATE TABLE T_TCVAT_PLAN_MAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PLAN_ORGS') 
 CREATE TABLE T_TCVAT_PLAN_ORGS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(400) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PLAN_ROLLOUTRULE') 
 CREATE TABLE T_TCVAT_PLAN_ROLLOUTRULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FDECLATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FROLLOUTTYPE BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_TAXRATE') 
 CREATE TABLE T_TCVAT_RULE_TAXRATE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(18) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_SHARING_PLAN') 
 CREATE TABLE T_TCVAT_SHARING_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FNAME VARCHAR(400) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(400) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_SHARINGPLAN_ORGS') 
 CREATE TABLE T_TCVAT_SHARINGPLAN_ORGS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHECK CHAR(1) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_SHARINGPLAN_RULES') 
 CREATE TABLE T_TCVAT_SHARINGPLAN_RULES (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FVIEW VARCHAR(100) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FRULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_CALIBER_ACC') 
 CREATE TABLE T_TCVAT_CALIBER_ACC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBJECTID VARCHAR(36) DEFAULT ' ' NOT NULL,
FTABLETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATATYPE BIGINT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FOPS VARCHAR(100) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_CALIBER_INVOICE') 
 CREATE TABLE T_TCVAT_CALIBER_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FGOODSCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FGOODSNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXATIONID BIGINT DEFAULT 0 NOT NULL,
FOPS VARCHAR(100) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB,
FTAXMETHOD VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_SHARING_PLAN_EDIT') 
 CREATE TABLE T_TCVAT_SHARING_PLAN_EDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPLANID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
