﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_INCOME_ENTRY') 
 CREATE TABLE T_TCVAT_INCOME_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NCLOB,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_DIFF') 
 CREATE TABLE T_TCVAT_RULE_DIFF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FDIFFTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_DIFF_L') 
 CREATE TABLE T_TCVAT_RULE_DIFF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_ENTRY') 
 CREATE TABLE T_TCVAT_RULE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FFILTERCONDITION NCLOB,
FFCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_INCOME') 
 CREATE TABLE T_TCVAT_RULE_INCOME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXATION VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXATIONID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXATIONSTR VARCHAR(400) DEFAULT ' ' NOT NULL,
FTAXRATESTR VARCHAR(400) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_INCOME_L') 
 CREATE TABLE T_TCVAT_RULE_INCOME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_ROLLOUT') 
 CREATE TABLE T_TCVAT_RULE_ROLLOUT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRULETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FROLLOUTTYPE BIGINT DEFAULT 0 NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_RULE_ROLLOUT_L') 
 CREATE TABLE T_TCVAT_RULE_ROLLOUT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACCDETAIL_DIFF') 
CREATE TABLE T_TCVAT_ACCDETAIL_DIFF (
   FID                  BIGINT               DEFAULT 0 NOT NULL,
   FTAXACCOUNTSERIALNO  VARCHAR(100)         DEFAULT  '' NOT NULL,
   FORGID               BIGINT               DEFAULT 0 NOT NULL,
   FSKSSQQ              DATETIME             NULL,
   FSKSSQZ              DATETIME             NULL,
   FTABLE               BIGINT               DEFAULT 0 NOT NULL,
   FAMOUNTFIELD         BIGINT               DEFAULT 0 NOT NULL,
   FDATATYPE            VARCHAR(30)          DEFAULT  '' NOT NULL,
   FDATADIRECTION       VARCHAR(30)          DEFAULT  '' NOT NULL,
   FAMOUNT              DECIMAL(23,10)       DEFAULT 0 NOT NULL,
   FFETCHAMOUNT         DECIMAL(23,10)       DEFAULT 0 NOT NULL,
   FFILTERCONDITION     NCLOB                NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACCDETAIL_INCOME') 
CREATE TABLE T_TCVAT_ACCDETAIL_INCOME (
   FID                  BIGINT               DEFAULT 0 NOT NULL,
   FTAXACCOUNTSERIALNO  VARCHAR(100)         DEFAULT  '' NOT NULL,
   FORGID               BIGINT               DEFAULT 0 NOT NULL,
   FTABLE               BIGINT               DEFAULT 0 NOT NULL,
   FAMOUNTFIELD         BIGINT               DEFAULT 0 NOT NULL,
   FDATATYPE            VARCHAR(30)          DEFAULT  '' NOT NULL,
   FDATADIRECTION       VARCHAR(30)          DEFAULT  '' NOT NULL,
   FAMOUNT              DECIMAL(23,10)       DEFAULT 0 NOT NULL,
   FFETCHAMOUNT         DECIMAL(23,10)       DEFAULT 0 NOT NULL,
   FSKSSQQ              DATETIME             NULL,
   FSKSSQZ              DATETIME             NULL,
   FFILTERCONDITION     NCLOB                NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACCOUNTING_DETAIL') 
CREATE TABLE T_TCVAT_ACCOUNTING_DETAIL (
   FID                  BIGINT               DEFAULT 0 NOT NULL,
   FTAXACCOUNTID        BIGINT               DEFAULT 0 NOT NULL,
   FTAXRULEID           BIGINT               DEFAULT 0 NOT NULL,
   FORGID               BIGINT               DEFAULT 0 NOT NULL,
   FSUBJECTID           VARCHAR(100)         DEFAULT  '' NOT NULL,
   FTAXPERIOD           VARCHAR(100)         DEFAULT  '' NOT NULL,
   FTABLETYPE           VARCHAR(30)          DEFAULT  '' NOT NULL,
   FDATATYPE            BIGINT               DEFAULT 0 NOT NULL,
   FAMOUNT              DECIMAL(23,10)       DEFAULT 0 NOT NULL,
   FFETCHAMOUNT         DECIMAL(23,10)       DEFAULT 0 NOT NULL,
   FFILTERCONDITION     VARCHAR(510)         DEFAULT  '' NOT NULL,
   FCREATERID           BIGINT               DEFAULT 0 NOT NULL,
   FCREATEDATE          DATETIME             NULL,
   FMODIFIERID          BIGINT               DEFAULT 0 NOT NULL,
   FMODIFYDATE          DATETIME             NULL,
   FTAXACCOUNTSERIALNO  VARCHAR(100)         DEFAULT  '' NOT NULL,
   FDATADIRECTION       VARCHAR(30)          DEFAULT  '' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACCDETAIL_ROLLOUT') 
CREATE TABLE T_TCVAT_ACCDETAIL_ROLLOUT (
   FID                  BIGINT               DEFAULT 0 NOT NULL,
   FTAXACCOUNTSERIALNO  VARCHAR(100)         DEFAULT  '' NOT NULL,
   FORGID               BIGINT               DEFAULT 0 NOT NULL,
   FSKSSQQ              DATETIME             NULL,
   FSKSSQZ              DATETIME             NULL,
   FTABLE               BIGINT               DEFAULT 0 NOT NULL,
   FAMOUNTFIELD         BIGINT               DEFAULT 0 NOT NULL,
   FDATATYPE            VARCHAR(30)          DEFAULT  '' NOT NULL,
   FDATADIRECTION       VARCHAR(30)          DEFAULT  '' NOT NULL,
   FAMOUNT              DECIMAL(23,10)       DEFAULT 0 NOT NULL,
   FFETCHAMOUNT         DECIMAL(23,10)       DEFAULT 0 NOT NULL,
   FFILTERCONDITION     NCLOB                NULL
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DIFFDEDUCT' AND KSQL_COL_NAME ='FDIFFTYPEID') 
 ALTER TABLE T_TCVAT_DIFFDEDUCT ADD (FDIFFTYPEID BIGINT DEFAULT 0 NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DIFFDEDUCT' AND KSQL_COL_NAME ='FSERIALNO') 
 ALTER TABLE T_TCVAT_DIFFDEDUCT ADD (FSERIALNO VARCHAR(100) DEFAULT ' ' NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_INVOICE' AND KSQL_COL_NAME ='FFILTERCONDITION') 
 ALTER TABLE T_TCVAT_INCOME_INVOICE ADD (FFILTERCONDITION NCLOB  NULL);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_ROLLOUT' AND KSQL_COL_NAME ='FFILTERCONDITION') 
 ALTER TABLE T_TCVAT_ACCDETAIL_ROLLOUT ADD ( FFILTERCONDITION NCLOB NULL);
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_DIFF' AND KSQL_COL_NAME ='FFILTERCONDITION') 
 ALTER TABLE T_TCVAT_ACCDETAIL_DIFF ADD (FFILTERCONDITION NCLOB  NULL);
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_INCOME' AND KSQL_COL_NAME ='FFILTERCONDITION') 
 ALTER TABLE T_TCVAT_ACCDETAIL_INCOME ADD (FFILTERCONDITION NCLOB  NULL);
 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
