﻿/**Begin D:\dbpdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_XGM_CURRENT_PAY') 
 CREATE TABLE T_TCVAT_XGM_CURRENT_PAY (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FINCOMEINCLUDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPECIALINCLUDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFAMMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALESINCLUDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALESEXCLUDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXFREEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_XGM_INCOME_INVOIC') 
 CREATE TABLE T_TCVAT_XGM_INCOME_INVOIC (
FID BIGINT DEFAULT 0 NOT NULL,
FINVOICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_XGM_INCOME_SUM') 
 CREATE TABLE T_TCVAT_XGM_INCOME_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSTYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJZJT VARCHAR(30) DEFAULT ' ' NOT NULL,
FSPECIALINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPECIALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOTHERINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNONETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNONEINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\dbpdm\TCVAT_table.sql **/
